%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Proc-ProcessTable
Version:       0.636
Release:       1mamba
Summary:       Proc::ProcessTable - Perl extension to access the unix process table
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/J/JW/JWB/Proc-ProcessTable-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
Proc::ProcessTable - Perl extension to access the unix process table.

%prep
%setup -q -n Proc-ProcessTable-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Feb 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.636-1mamba
- package created using the webbuild interface
